Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES

## namespace bea.com/loc/metadata

Element Summary
loc-metadata | This document is used to configure the services and policies for an instance of the Liquid Operations Control (LOC) server.

Complex Type Summary
actionConfigurationType | The definition of an action which will be taken when some user defined policy fails.
actionConfigurationType/name | The name of this action.
actionConfigurationType/key | The key of this action.
actionConfigurationType/impl-class | The implementation class of the action.
actionConfigurationType/description | A description of this action
actionConfigurationType/adjudicate | Defines whether this action should be adjudicated.
actionConfigurationType/service | Optional setting to override the service that is acted on
actionConfigurationType/process-type | Optional setting to override the process-type that is acted on
actionConfigurationType/properties | Properties used to initialize the action.
actionKeysType | This is a collection of actions associated with a notification.
actionKeysType/action-key | The key of an action definition
actionsConfigurationType | A collection of action definitions used in this loc instance.
actionsConfigurationType/action | A standard action
actionsConfigurationType/jmx-action | A JMX action.
actionsType | A list of actions that make up a pipeline
actionsType/action | An action within a pipeline
actionType | A reference to an action definition
actionType/action-key | the key of the action definition
actionType/sequence | ???
adjudicatorConfigurationType | A user defined adjudicator.
adjudicatorConfigurationType/name | the name of the adjudicator
adjudicatorConfigurationType/impl-class | The implementation class of the adjudicator.
adjudicatorConfigurationType/description | A description of the adjudicator
adjudicatorConfigurationType/properties | A set of properties used to initialize the adjudicator instance.
argumentsType | A list of arguments that are passed when creating a JVM.
argumentsType/arg | A JVM argument.
booleanConstraintType | Defines a policy constraint on an observed value of type boolean
booleanConstraintType/name | The name of the constraint definition.
booleanConstraintType/description | A description of this constraint
booleanConstraintType/key | The key for this constraint definition used in constraint bindings.
booleanConstraintType/priority | The priority of this constraint.
booleanConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
booleanConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
booleanConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
booleanConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
booleanConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
booleanConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
booleanConstraintType/constraint-type | This can only be set to equals which means the metric must equal the value.
booleanConstraintType/value | The value which the metric is compared to based on the constraint type.
classpathType | Defines a classpath that is used to load classes that are needed to create external connections
classpathType/path | A classpath element
connectionFactoryType | Defines a connection factory which will be used to instantiate connections to external processes.
connectionFactoryType/name | The name of the connection factory.
connectionFactoryType/description | A description of this connection factory
connectionFactoryType/factory-class | The classname of a factory for the connection.
connectionInfosType | A collection of connection information elements used used by this LOC instance.
connectionInfosType/connection-info | Information for connecting to a JMX endpoint.
connectionInfoType | Information used to create a JMX Connection to a managed instance.
connectionInfoType/name | The name of the connection information which is referenced by the action properties.
connectionInfoType/description | A user defined description of this connection information
connectionInfoType/factory-name | The name of a connectionFactoryType which will be used to create the connection.
connectionInfoType/protocol | The protocol that will be used to create the connection, e.
connectionInfoType/host-address | The host address of the managed entity
connectionInfoType/port | The port that the managed entity is listening on
connectionInfoType/url-path | A url path for the connection
connectionInfoType/jmx-service-url | For generic JVMs this specifies a JMX Service URL to use for harvesting.
connectionInfoType/classpath | Classpath information that will be added to the classloader that is used to create the connection.
connectionInfoType/initial-context-factory | InitialContextFactory used in setting up JNDI properties when making a JMX Connection to WebLogic Server
connectionInfoType/protocol-provider-package | The package name for the JMX protocol provider needed to make a client conection to the managed instance
connectionInfoType/username | Username credential needed to access the managed instance
connectionInfoType/password | Password for the specified username.
constraintsDefinitionType | The definitions for the policies used to manage the services maintained by this LOC controller.
constraintsDefinitionType/resource-pool-constraint | see resourcePoolConstraintType
constraintsDefinitionType/deployment-state-constraint | see deploymentStateConstraintType
constraintsDefinitionType/min-memory-constraint | see minMemoryConstraintType
constraintsDefinitionType/max-memory-constraint | see maxMemoryConstraintType
constraintsDefinitionType/share-memory-constraint | see maxMemoryConstraintType
constraintsDefinitionType/min-cpu-constraint | see minCPUConstraintType
constraintsDefinitionType/max-cpu-constraint | see maxCPUConstraintType
constraintsDefinitionType/share-cpu-constraint | see maxCPUConstraintType
constraintsDefinitionType/software-constraint | see softwareConstraintType
constraintsDefinitionType/iso-constraint | see isoConstraintType
constraintsDefinitionType/jre-constraint | see jreConstraintType
constraintsDefinitionType/local-disk-size-constraint | see localDiskSizeConstraintType
constraintsDefinitionType/ip-address-constraint | see ipAddressConstraintType
constraintsDefinitionType/min-process-constraint | see minProcessConstraintType
constraintsDefinitionType/max-process-constraint | see maxProcessConstraintType
constraintsDefinitionType/int-constraint | see intConstraintType
constraintsDefinitionType/long-constraint | see longConstraintType
constraintsDefinitionType/float-constraint | see floatConstraintType
constraintsDefinitionType/double-constraint | see doubleConstraintType
constraintsDefinitionType/boolean-constraint | see booleanConstraintType
constraintsDefinitionType/date-constraint | see dateConstraintType
constraintsDefinitionType/string-constraint | see stringConstraintType
constraintsDefinitionType/custom-constraint | see customConstraintType
constraintsDefinitionType/process-type-action-constraint | see processTypeActionConstraintType
constraintsDefinitionType/process-type-event-constraint | see processTypeEventConstraintType
constraintsDefinitionType/cron-service-event-constraint | see cronServiceEventConstraintType
constraintsDefinitionType/cron-process-type-event-constraint | see cronProcessTypeEventConstraintType
constraintsDefinitionType/cron-deployment-constraint | see cronDeploymentConstraintType
constraintsDefinitionType/cron-undeployment-constraint | see cronUndeploymentConstraintType
constraintsDefinitionType/process-type-observer-error-constraint | see processTypeObserverErrorConstraintType
constraintsDefinitionType/resource-pool-error-constraint | see resourcePoolErrorConstraintType
constraintsType | Defines the constraint bindings for a particular scope.
constraintsType/constraint-binding | references a constraint definition and an action or pipeline to form a policy for a particular scope.
constraintType | Defines binding between a constraint definition (see constraintsDefinitionType) and either an action (see actionType) or a pipeline (see pipelineDefinitionType).
constraintType/constraint-key | This is a reference to the constraint-key element of a constraint definition.
constraintType/action-key | This is a reference to the action-key element of an action definition.
constraintType/pipeline-key | This is a reference to the pipeline-key element of an pipeline definition.
constraintType/process-instance-name | This is an optional reference to the name element of the jvmInstanceType.
cronDeploymentConstraintType | Defines a trigger which will lead to the deployment of a service.
cronDeploymentConstraintType/name | The name of the constraint definition.
cronDeploymentConstraintType/description | A description of this constraint
cronDeploymentConstraintType/key | The key for this constraint definition used in constraint bindings.
cronDeploymentConstraintType/priority | The priority of this constraint.
cronDeploymentConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
cronDeploymentConstraintType/cron-string | Defines when the trigger will be fired.
cronProcessTypeEventConstraintType | Defines a trigger which will generate an event (or multiple events) based on a cron string.
cronProcessTypeEventConstraintType/name | The name of the constraint definition.
cronProcessTypeEventConstraintType/description | A description of this constraint
cronProcessTypeEventConstraintType/key | The key for this constraint definition used in constraint bindings.
cronProcessTypeEventConstraintType/priority | The priority of this constraint.
cronProcessTypeEventConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
cronProcessTypeEventConstraintType/cron-string | Defines when the trigger will be fired.
cronServiceEventConstraintType | Defines a trigger which will generate an event (or multiple events) based on a cron string.
cronServiceEventConstraintType/name | The name of the constraint definition.
cronServiceEventConstraintType/description | A description of this constraint
cronServiceEventConstraintType/key | The key for this constraint definition used in constraint bindings.
cronServiceEventConstraintType/priority | The priority of this constraint.
cronServiceEventConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
cronServiceEventConstraintType/cron-string | Defines when the trigger will be fired.
cronUndeploymentConstraintType | Defines a trigger which will lead to the undeployment of a service.
cronUndeploymentConstraintType/name | The name of the constraint definition.
cronUndeploymentConstraintType/description | A description of this constraint
cronUndeploymentConstraintType/key | The key for this constraint definition used in constraint bindings.
cronUndeploymentConstraintType/priority | The priority of this constraint.
cronUndeploymentConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
cronUndeploymentConstraintType/cron-string | Defines when the trigger will be fired.
customConstraintType | Defines a policy constraint based on a custom constraint definition
customConstraintType/name | The name of the constraint definition.
customConstraintType/description | A description of this constraint
customConstraintType/key | The key for this constraint definition used in constraint bindings.
customConstraintType/priority | The priority of this constraint.
customConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
customConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
customConstraintType/constraint | This is the name of a custom-constraint-definition defined in a smart pack.
customConstraintType/value | The value that the constraint will test against.
dateConstraintType | Defines a policy constraint on an observed value of type date
dateConstraintType/name | The name of the constraint definition.
dateConstraintType/description | A description of this constraint
dateConstraintType/key | The key for this constraint definition used in constraint bindings.
dateConstraintType/priority | The priority of this constraint.
dateConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
dateConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
dateConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
dateConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
dateConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
dateConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
dateConstraintType/constraint-type | This can only be set to equals which means the metric must equal the value.
dateConstraintType/value | The value which the metric is compared to based on the constraint type.
deploymentStateConstraintType | Defines a constraint which is evaluated when a service is being deployed or undeployed.
deploymentStateConstraintType/name | The name of the constraint definition.
deploymentStateConstraintType/description | A description of this constraint
deploymentStateConstraintType/key | The key for this constraint definition used in constraint bindings.
deploymentStateConstraintType/priority | The priority of this constraint.
deploymentStateConstraintType/state | Defines whether this constraint is triggered when the service is transitioning.
deploymentStateConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
doubleConstraintType | Defines a policy constraint on an observed value of type double
doubleConstraintType/name | The name of the constraint definition.
doubleConstraintType/description | A description of this constraint
doubleConstraintType/key | The key for this constraint definition used in constraint bindings.
doubleConstraintType/priority | The priority of this constraint.
doubleConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
doubleConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
doubleConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
doubleConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
doubleConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
doubleConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
doubleConstraintType/match-undefined | If true, the value will be assumed to be 0 if there is no metric available.
doubleConstraintType/constraint-type | min means the policy fails if the metric goes below a certain value.
doubleConstraintType/value | The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.
factoriesType | A collection of connection factories that are defined for this LOC instance.
factoriesType/connection-factory | A connection factory instance.
fileCopiesType | Defines copies to be made when an instance is being initialized.
fileCopiesType/copy | A single file or directory copy
fileCopyType | Defines a single file or directory copy
fileCopyType/from | The source file or directory
fileCopyType/to | The destination where the source file or directory will be copied to
floatConstraintType | Defines a policy constraint on an observed value of type float
floatConstraintType/name | The name of the constraint definition.
floatConstraintType/description | A description of this constraint
floatConstraintType/key | The key for this constraint definition used in constraint bindings.
floatConstraintType/priority | The priority of this constraint.
floatConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
floatConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
floatConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
floatConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
floatConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
floatConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
floatConstraintType/match-undefined | If true, the value will be assumed to be 0 if there is no metric available.
floatConstraintType/constraint-type | min means the policy fails if the metric goes below a certain value.
floatConstraintType/value | The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.
functionDefinitionType | Defines a function which may be used when defining constraints.
functionDefinitionType/name | The name of the constraint definition.
functionDefinitionType/description | A description of this function definition
functionDefinitionType/definition | defines the function.
functionsType | A collection of functions that are defined for this LOC instance.
functionsType/function | A functions that is defined for this LOC instance.
globalObserverErrorConstraintType | Defines a policy constraint on an error metric at the global scope
globalObserverErrorConstraintType/name | The name of the constraint definition.
globalObserverErrorConstraintType/description | A description of this constraint
globalObserverErrorConstraintType/key | The key for this constraint definition used in constraint bindings.
globalObserverErrorConstraintType/priority | The priority of this constraint.
globalObserverErrorConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
globalObserverErrorConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
globalObserverErrorConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
globalObserverErrorConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
intConstraintType | Defines a policy constraint on an observed value of type int
intConstraintType/name | The name of the constraint definition.
intConstraintType/description | A description of this constraint
intConstraintType/key | The key for this constraint definition used in constraint bindings.
intConstraintType/priority | The priority of this constraint.
intConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
intConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
intConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
intConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
intConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
intConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
intConstraintType/match-undefined | If true, the value will be assumed to be 0 if there is no metric available.
intConstraintType/constraint-type | min means the policy fails if the metric goes below a certain value.
intConstraintType/value | The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.
ipAddressConstraintType | Defines an IP Address requirement for a process type
ipAddressConstraintType/name | The name of the constraint definition.
ipAddressConstraintType/description | A description of this constraint
ipAddressConstraintType/key | The key for this constraint definition used in constraint bindings.
ipAddressConstraintType/priority | The priority of this constraint.
ipAddressConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
ipAddressConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
ipAddressConstraintType/address | A string representing an IP Address name.
isoConstraintType | Defines a iso requirement for a process type
isoConstraintType/name | The name of the constraint definition.
isoConstraintType/description | A description of this constraint
isoConstraintType/key | The key for this constraint definition used in constraint bindings.
isoConstraintType/priority | The priority of this constraint.
isoConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
isoConstraintType/evaluation-period | This is not used for this constraint type
isoConstraintType/iso-name | The logical name of the iso.
isoConstraintType/copies-at-create | Files that will be copied when the VM is created.
jmxActionConfigurationType | A JMX action definition used for configuration of a managed instance.
jmxActionConfigurationType/name | The name of this action.
jmxActionConfigurationType/key | The key of this action.
jmxActionConfigurationType/description | A description of this action
jmxActionConfigurationType/adjudicate | Defines whether this action should be adjudicated.
jmxActionConfigurationType/properties | Properties used to initialize the action.
jmxActionConfigurationType/connection-info-name | This is a reference to a connectionInfoType which provides information required to establish the JMX client to connect to the managed instance.
jmxActionConfigurationType/commands | A set of JMX operations that will be executed on the managed instance when this action is run.
jmxAttributesType | A set of JMX attributes affected by a JMX oeration.
jmxAttributesType/attribute | An attribute affected by a JMX operation
jmxAttributeType | This is used to invoke JMX update actions.
jmxAttributeType/name | Attribute name
jmxAttributeType/value | Attribute value
jmxCommandsType | A list of JMX commands
jmxCommandsType/wls-create | A WLS specific command for creating a new MBean
jmxCommandsType/jmx-create | A generic command for creating a new MBean
jmxCommandsType/wls-destroy | A WLS specific command for destroying an MBean
jmxCommandsType/jmx-destroy | A generic command for destroying an MBean
jmxCommandsType/jmx-set | A generic command for updating one or more attributes on an MBean.
jmxCommandsType/jmx-invoke | A generic command to invoke on an MBean operation
jmxCreateType | A Generic JMX operation that creates a new MBean
jmxCreateType/name | The name of this action
jmxCreateType/description | a user defined description of this action
jmxCreateType/mbean-name | The name of the new MBean
jmxCreateType/class-name | The class name used to construct the new MBean instance
jmxCreateType/loader-name | The name of the classloader MBean that has the MBean class to be instantiated
jmxCreateType/param-types | Parameters to the create call
jmxCreateType/params | The types for the parameters passed to the create call.
jmxDestroyType | A Generic JMX operation that destroys an MBean
jmxDestroyType/name | The name of this action
jmxDestroyType/description | a user defined description of this action
jmxDestroyType/mbean-name | The name of the MBean to be destroyed
jmxInvokeType | A Generic JMX operation is used to invoke an operation on an MBean
jmxInvokeType/name | The name of this action
jmxInvokeType/description | a user defined description of this action
jmxInvokeType/mbean-name | The name of the MBean that will be invoked on
jmxInvokeType/operation-name | The name of the operation to be executed
jmxInvokeType/param-types | Parameters to the create call
jmxInvokeType/params | The types for the parameters passed to the create call.
jmxParamsType | This is used in calls to JMX operations.
jmxParamsType/param | defines one argument to a JMX operation
jmxParamTypesType | This is used in calls to JMX operations.
jmxParamTypesType/param-type | defines the type of one argument to a JMX operation
jmxSetType | A Generic JMX operation that updates one or more attributes on an MBean
jmxSetType/name | The name of this action
jmxSetType/description | a user defined description of this action
jmxSetType/mbean-name | The name of the MBean which will be modified
jmxSetType/attributes | A list of attributes and values that will be affected by the set operation.
jreConstraintType | Defines a JRE requirement for a process type
jreConstraintType/name | The name of the constraint definition.
jreConstraintType/description | A description of this constraint
jreConstraintType/key | The key for this constraint definition used in constraint bindings.
jreConstraintType/priority | The priority of this constraint.
jreConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
jreConstraintType/evaluation-period | This is not used for this constraint type
jreConstraintType/min-version | The minimum JRE version
jreConstraintType/max-version | The maximum JRE version
jreConstraintType/accept | Comma-separated list of acceptable JRE types
jreConstraintType/exclude | Comma-separated list of non-acceptable JRE types
jvmInstanceType | Information used to start a JVM instance.
jvmInstanceType/name | The name of this instance
jvmInstanceType/description | A description of this instance.
jvmInstanceType/max-copies | The maximum number of copies of this instance that can be created.
jvmInstanceType/variables | Variables used for substitution in other elements within this type.
jvmInstanceType/main-class | The main class used to start the instance.
jvmInstanceType/main-jar | A jar file with a main class used to start the instance.
jvmInstanceType/ready-information | Information used to define when the managed instance has come up.
jvmInstanceType/jvm-args | Arguments passed to the JVM when it is started
jvmInstanceType/java-args | Arguments passed to the main method.
jvmInstanceType/native-lib-dir | A path to native libraries used by the application running in the jvm.
jvmInstanceType/instance-dir | The directory from which the JVM is launched
jvmInstanceType/native-jmx | indicates whether native (true) or WLS JMX (false) is used
jvmInstanceType/protocol | for WebLogicServer instance, the protocol for the administration channel
jvmInstanceType/host | for WebLogicServer instance, the host address of the server
jvmInstanceType/port | for WebLogicServer instance, the listen port used for administration.
jvmInstanceType/username | for WebLogicServer instance, the username of the administrator.
jvmInstanceType/password | for WebLogicServer instance, the password of the administrator.
jvmInstanceType/jmx-service-url | For generic JVMs this specifies a JMX Service URL to use for harvesting.
jvmInstanceType/ssh-enabled | Defines whether SSH is enabled in the LiquidVM
jvmInstanceType/wait-for-ssh | If true, instance start will wait until the ssh service on the LiquidVM is running before starting the application.
jvmInstanceType/priority | In the case where there are multiple instances of one type, this defines the order in which individual instances are started.
jvmInstanceType/copies-at-create | Files that will be copied on when the VM is created.
jvmInstanceType/copies-at-shutdown | Files that will be copied on first shutdown.
localDiskSizeConstraintType | Defines a disk size requirement for an ESX process type
localDiskSizeConstraintType/name | The name of the constraint definition.
localDiskSizeConstraintType/description | A description of this constraint
localDiskSizeConstraintType/key | The key for this constraint definition used in constraint bindings.
localDiskSizeConstraintType/priority | The priority of this constraint.
localDiskSizeConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
localDiskSizeConstraintType/evaluation-period | This is not used for this constraint type
localDiskSizeConstraintType/value | The local disk size in mega-bytes for an ESX instance
locMetadataType | This is the type of the root element for the LOC metadata configuration.
locMetadataType/functions | Function definitions which may be used when defining constraints.
locMetadataType/constraint-bindings | Globally scoped constraint bindings.
locMetadataType/services | Definitions for the services managed by this LOC controller instance
locMetadataType/connection-factories | A set of factory classes for instantiating connections to some endpoint.
locMetadataType/connection-infos | Information needed to initialize the connection to an endpoint that will be used in a notification action.
locMetadataType/constraints | The constraint definitions used to define policy for services managed by this LOC controller instance.
locMetadataType/notifications | Definitions for notifications that are made when actions or pipelines are executed when policy violations occur.
locMetadataType/pipelines | Lists of actions which may be executed as the result of a policy violation.
locMetadataType/actions | Individual actions which may be executed as the result of a policy violation.
locMetadataType/adjudicator | Defines an adjudication handler for actions and pipelines.
locMetadataType/metadata | Information used for starting process instances.
longConstraintType | Defines a policy constraint on an observed value of type long
longConstraintType/name | The name of the constraint definition.
longConstraintType/description | A description of this constraint
longConstraintType/key | The key for this constraint definition used in constraint bindings.
longConstraintType/priority | The priority of this constraint.
longConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
longConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
longConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
longConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
longConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
longConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
longConstraintType/match-undefined | If true, the value will be assumed to be 0 if there is no metric available.
longConstraintType/constraint-type | min means the policy fails if the metric goes below a certain value.
longConstraintType/value | The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.
maxCPUConstraintType | Defines the maximum amount of CPU resource that should be allocated to an instance of a process type.
maxCPUConstraintType/name | The name of the constraint definition.
maxCPUConstraintType/description | A description of this constraint
maxCPUConstraintType/key | The key for this constraint definition used in constraint bindings.
maxCPUConstraintType/priority | The priority of this constraint.
maxCPUConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
maxCPUConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
maxCPUConstraintType/value | The value which the metric is compared to based on the constraint type.
maxMemoryConstraintType | Defines the maximum amount of RAM that can be used by the process.
maxMemoryConstraintType/name | The name of the constraint definition.
maxMemoryConstraintType/description | A description of this constraint
maxMemoryConstraintType/key | The key for this constraint definition used in constraint bindings.
maxMemoryConstraintType/priority | The priority of this constraint.
maxMemoryConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
maxMemoryConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
maxMemoryConstraintType/value | The value which the metric is compared to based on the constraint type.
maxProcessConstraintType | Defines the maximum number of instances allowed for a process type.
maxProcessConstraintType/name | The name of the constraint definition.
maxProcessConstraintType/description | A description of this constraint
maxProcessConstraintType/key | The key for this constraint definition used in constraint bindings.
maxProcessConstraintType/priority | The priority of this constraint.
maxProcessConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
maxProcessConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
maxProcessConstraintType/value | The value which the metric is compared to based on the constraint type.
metadataGroupType | A collection of meta data about the instances of a particular process type.
metadataGroupType/name | The name of this meta-data group.
metadataGroupType/description | A description of this meta data group
metadataGroupType/key | The key for this meta data group.
metadataGroupType/instances | The instance definitions of this meta data group.
metadataInstancesType | The instance meta data for the instances of a meta data group.
metadataInstancesType/jvm-instance | The instance meta data for one JVM instance.
metadataType | The meta data for all instances managed by this LOC controller instance
metadataType/metadata-group | A meta data group for a process type.
minCPUConstraintType | Defines the minimum amount of CPU resource that should be allocated to an instance of a process type.
minCPUConstraintType/name | The name of the constraint definition.
minCPUConstraintType/description | A description of this constraint
minCPUConstraintType/key | The key for this constraint definition used in constraint bindings.
minCPUConstraintType/priority | The priority of this constraint.
minCPUConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
minCPUConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
minCPUConstraintType/value | The value which the metric is compared to based on the constraint type.
minMemoryConstraintType | Defines the minimum amount of RAM required by the process.
minMemoryConstraintType/name | The name of the constraint definition.
minMemoryConstraintType/description | A description of this constraint
minMemoryConstraintType/key | The key for this constraint definition used in constraint bindings.
minMemoryConstraintType/priority | The priority of this constraint.
minMemoryConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
minMemoryConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
minMemoryConstraintType/value | The value which the metric is compared to based on the constraint type.
minProcessConstraintType | Defines the minimum number of instances of a process type required for a service to run.
minProcessConstraintType/name | The name of the constraint definition.
minProcessConstraintType/description | A description of this constraint
minProcessConstraintType/key | The key for this constraint definition used in constraint bindings.
minProcessConstraintType/priority | The priority of this constraint.
minProcessConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
minProcessConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
minProcessConstraintType/value | The value which the metric is compared to based on the constraint type.
notificationsType | A collection of notifications which are fired when an action or pipeline executes.
notificationsType/notification | A notification which will be fired when an action or pipeline executes
notificationType | A notification which is fired when an action or pipeline executes.
notificationType/name | A name for the notification.
notificationType/description | A user defined description of the notification
notificationType/notification-type |
notificationType/actions | A list of references to the key elements of an action definitions that indicates which actions will trigger this notification.
notificationType/pipelines | A list of references to the key elements of pipeline definitions that indicates which actions will trigger this notification.
notificationType/properties | Properties for initializing the notification.
pipelineDefinitionType | Defines a pipeline which is a list of actions which will be executed when an administrative policy fails.
pipelineDefinitionType/name | The name of this pipeline.
pipelineDefinitionType/description | A description of this pipeline
pipelineDefinitionType/key | The key for this pipeline.
pipelineDefinitionType/adjudicate | Defines whether this action should be adjudicated.
pipelineDefinitionType/actions | A list of actions that make up this pipeline.
pipelineKeysType | This is a collection of pipelines associated with a notification.
pipelineKeysType/pipeline-key | The key of a pipeline definition
pipelinesDefinitionType | A collection of pipeline definitions
pipelinesDefinitionType/pipeline | A pipeline definition
processTypeActionConstraintType | The processTypeActionConstraintType defines a policy constraint that is evaluated on the result of a previously executed action.
processTypeActionConstraintType/name | The name of the constraint definition.
processTypeActionConstraintType/description | A description of this constraint
processTypeActionConstraintType/key | The key for this constraint definition used in constraint bindings.
processTypeActionConstraintType/priority | The priority of this constraint.
processTypeActionConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
processTypeActionConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
processTypeActionConstraintType/action-name | The name of the action that this policy is evaluated against.
processTypeActionConstraintType/action-status | The status of the action which will cause this policy to lead to a new event.
processTypeEventConstraintType | The processTypeEventConstraintType defines a policy constraint that is evaluated on the result of a previously executed event.
processTypeEventConstraintType/name | The name of the constraint definition.
processTypeEventConstraintType/description | A description of this constraint
processTypeEventConstraintType/key | The key for this constraint definition used in constraint bindings.
processTypeEventConstraintType/priority | The priority of this constraint.
processTypeEventConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
processTypeEventConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
processTypeEventConstraintType/event-name | The name of the event that this policy is evaluated against.
processTypeEventConstraintType/event-status | The status of the event which will cause this policy to lead to a new event.
processTypeObserverErrorConstraintType | Defines a policy constraint on an error metric at the process type scope
processTypeObserverErrorConstraintType/name | The name of the constraint definition.
processTypeObserverErrorConstraintType/description | A description of this constraint
processTypeObserverErrorConstraintType/key | The key for this constraint definition used in constraint bindings.
processTypeObserverErrorConstraintType/priority | The priority of this constraint.
processTypeObserverErrorConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
processTypeObserverErrorConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
processTypeObserverErrorConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
processTypeObserverErrorConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
processTypesType | A collection of processType definitions
processTypesType/process-type | A process type definition.
processTypeType | Defines a LOC Process Type which is a grouping of like instances within a LOC Service.
processTypeType/constraint-bindings | constraint bindings scoped to the process type.
processTypeType/name | The name of the process type.
processTypeType/description | A description of this process type
processTypeType/metadata-key | references information about the individual instances of this process type.
propertiesType | Properties are used in action and notification definitions.
propertiesType/property | A property for an action or notification definition.
propertyType | Properties are used in action and notification definitions.
propertyType/name | The name of the property
propertyType/description | A description of this property
propertyType/type | A class name that the property will be coerced to.
propertyType/value | The property value.
readyInformationType | Metric information that is used when starting a managed instance to test whether the instance has fully booted.
readyInformationType/check-type | The type of check.
readyInformationType/max-wait-period | Defines the number of milliseconds to wait for the check to succeed.
readyInformationType/instance | The JMX instance name of the metric (usually a JMX ObjectName)
readyInformationType/attribute | The attribute on the instance that is checked.
readyInformationType/value | When check-type is set to ValueEquals, this is what the value is compared against.
readyInformationType/value-type | In the case of ValueEquals, this is the type of the value being checked.
resourcePoolConstraintType | The definition for a constraint on a pool.
resourcePoolConstraintType/name | The name of the constraint definition.
resourcePoolConstraintType/description | A description of this constraint
resourcePoolConstraintType/key | The key for this constraint definition used in constraint bindings.
resourcePoolConstraintType/priority | The priority of this constraint.
resourcePoolConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
resourcePoolConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
resourcePoolConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
resourcePoolConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
resourcePoolConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
resourcePoolConstraintType/match-undefined | If true, the value will be assumed to be 0 if there is no metric available.
resourcePoolConstraintType/constraint-type | min means the policy fails if the metric goes below a certain value.
resourcePoolConstraintType/value | The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.
resourcePoolErrorConstraintType | Defines a policy constraint on an error metric related to a resource pool
resourcePoolErrorConstraintType/name | The name of the constraint definition.
resourcePoolErrorConstraintType/description | A description of this constraint
resourcePoolErrorConstraintType/key | The key for this constraint definition used in constraint bindings.
resourcePoolErrorConstraintType/priority | The priority of this constraint.
resourcePoolErrorConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
resourcePoolErrorConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
resourcePoolErrorConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
resourcePoolErrorConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
serviceObserverErrorConstraintType | Defines a policy constraint on an error metric related to a service
serviceObserverErrorConstraintType/name | The name of the constraint definition.
serviceObserverErrorConstraintType/description | A description of this constraint
serviceObserverErrorConstraintType/key | The key for this constraint definition used in constraint bindings.
serviceObserverErrorConstraintType/priority | The priority of this constraint.
serviceObserverErrorConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
serviceObserverErrorConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
serviceObserverErrorConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
serviceObserverErrorConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
servicesType | A collection of service definitions
servicesType/service | A service definition
serviceType | Defines a LOC Service.
serviceType/name | The name of the service.
serviceType/description | A description of th eservice.
serviceType/state | The desired deployment state of the service (undeployed|staged|deployed).
serviceType/priority | The priority of this service.
serviceType/constraint-bindings | Service scoped constraint bindings.
serviceType/process-types | The process types that comprise this service
serviceType/max-failed-event-retry-count | An action or pipeline that is executed as the result of a policy violation can fail and if the policy is still in violation, the action or pipeline will be retried.
serviceType/placement-algorithm | Determines the placement algorithm that is used when deploying a service.
shareCPUConstraintType | Defines the CPU share number for systems such as ESX where share is supported.
shareCPUConstraintType/name | The name of the constraint definition.
shareCPUConstraintType/description | A description of this constraint
shareCPUConstraintType/key | The key for this constraint definition used in constraint bindings.
shareCPUConstraintType/priority | The priority of this constraint.
shareCPUConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
shareCPUConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
shareCPUConstraintType/value | The value which the metric is compared to based on the constraint type.
shareMemoryConstraintType | Defines the memory share number for systems such as ESX where share is supported.
shareMemoryConstraintType/name | The name of the constraint definition.
shareMemoryConstraintType/description | A description of this constraint
shareMemoryConstraintType/key | The key for this constraint definition used in constraint bindings.
shareMemoryConstraintType/priority | The priority of this constraint.
shareMemoryConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
shareMemoryConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
shareMemoryConstraintType/value | The value which the metric is compared to based on the constraint type.
softwareConstraintType | Defines a software requirement for a process type
softwareConstraintType/name | The name of the constraint definition.
softwareConstraintType/description | A description of this constraint
softwareConstraintType/key | The key for this constraint definition used in constraint bindings.
softwareConstraintType/priority | The priority of this constraint.
softwareConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
softwareConstraintType/evaluation-period | This is not used for this constraint type
softwareConstraintType/software-name | The logical name of the software.
softwareConstraintType/software-mount-point | The mountpoint that the software on the VM.
softwareConstraintType/copies-at-create | Files that will be copied when the VM is created.
softwareConstraintType/copies-at-shutdown | Files that will be copied on first shutdown.
stringConstraintType | Defines a policy constraint on an observed value of type string
stringConstraintType/name | The name of the constraint definition.
stringConstraintType/description | A description of this constraint
stringConstraintType/key | The key for this constraint definition used in constraint bindings.
stringConstraintType/priority | The priority of this constraint.
stringConstraintType/state | Defines whether this constraint is triggered when the service is deployed or undeployed.
stringConstraintType/evaluation-period | In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
stringConstraintType/instance-name | The instance name of the object containing the metric that is measured to test this constraint.
stringConstraintType/instance-type | The instance type of the objcet containing the metric that is measured to test this constraint.
stringConstraintType/attribute-name | The name of the attribute on the object instance that defines the metric.
stringConstraintType/ignore-observer-errors | If true, then the constraint will match even if the matched metric has an observer error.
stringConstraintType/constraint-type | equals means the metric must be equal to the constraint value, otherwise the policy fails.
stringConstraintType/value | The value which the metric is compared to based on the constraint type.
valuesType | Used to define an array of values in a variable
valuesType/value | The value of an array element
variablesType | Variables are used in action and notification definitions.
variablesType/variable | A variable for an action or notification definition.
variableType | Variables are used for substitutions in jvm definitions
variableType/name | The name of the variable
variableType/description | A description of this variable
variableType/value | A scalar value.
variableType/values | An array of values
wlsCreateType | A WLS Specific JMX operation that creates a new MBean
wlsCreateType/name | the name of this action
wlsCreateType/description | a user defined description of this action
wlsCreateType/mbean-name | The name of the new MBean
wlsCreateType/parent-name | The parent of the new MBean (one of the create methods on this MBean will be called).
wlsCreateType/param-types | Parameters to the create call
wlsCreateType/params | The types for the parameters passed to the create call.
wlsDestroyType | A WLS Specific JMX operation that destroys an MBean
wlsDestroyType/name | The name of this action
wlsDestroyType/description | a user defined description of this action
wlsDestroyType/mbean-name | The name of the MBean to be destroyed
wlsDestroyType/parent-name | The parent of the MBean being destroyed.
wlsDestroyType/param-types | Parameters to the create call
wlsDestroyType/params | The types for the parameters passed to the create call.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES